/// @addtogroup homologicalAlgebra
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file homologicalAlgebra.h
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2006 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#include <iostream>
#include <map>
#include <vector>
#include <set>
#include <iterator>
#include <sstream>

#include "capd/matrixAlgorithms/intMatrixAlgorithms.hpp"
#include "capd/repSet/elementaryCube.h"
#include "capd/repSet/elementaryCell.h"
#include "capd/repSet/RepSet.h"
using namespace chomp::matrixAlgorithms;

#include "capd/homologicalAlgebra/FreeModule.h"
#include "capd/homologicalAlgebra/ChainAux.h"
#include "capd/homologicalAlgebra/SubModule.h"
#include "capd/homologicalAlgebra/QuotientModule.h"
#include "capd/homologicalAlgebra/FreeModuleHomomorphism.h"
#include "capd/homologicalAlgebra/FreeChainComplex.h"
#include "capd/homologicalAlgebra/QuotientGradedModule.h"
#include "capd/homologicalAlgebra/ReducibleFreeChainComplex.h"
//#include "capd/homologicalAlgebra/ReducibleFreeChainComplex.hpp"











/// @}

