/// @addtogroup MM2
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file SetPairT.h
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) Marian Mrozek 2005-2006
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#if !defined(_SETPAIRT_H)
#define _SETPAIRT_H

#include "capd/auxil/CRef.h"
//#include "capd/homologicalAlgebra/CrbInclHomology.hpp"

template<typename P_Set>
class SetPairT : public std::pair< CRef<P_Set>,CRef<P_Set> >{
  public:
  typedef P_Set SetType;
  SetPairT(CRef<SetType> A_subSetCR,CRef<SetType> A_supSetCR): std::pair< CRef<SetType>,CRef<SetType> >(A_subSetCR,A_supSetCR){}
  int cardinality(){
    return (this->second)().cardinality();
  }
  int embDim(){
    return (this->second)().embDim();
  }
  int getUnpaddedWidth(int j){
    return (this->second)().getUnpaddedWidth(j);
  }
};
#endif //_SETPAIRT_H

/// @}
