/// @addtogroup MM2
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file complexityTester.h
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) Marian Mrozek 2005-2006
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.


template<typename ObjectGenerator, typename ResultType>
class ComplexityTester{
  public:
    typedef typename ObjectGenerator::ObjectType ObjectType;
    typedef CRef<ResultType> (*AlgorithmType)(CRef<ObjectType> objectType);
    std::string findComplexity(int A_firstScale,int A_lastScale,int A_step,std::ostream& out);
    ComplexityTester(
      const ObjectGenerator& A_objectGenerator,
      AlgorithmType A_algorithm,
      std::string A_TestType
    ):
      m_objectGenerator(A_objectGenerator),
      m_algorithm(A_algorithm),
      m_testType(A_TestType)
    {}

  private:
     const ObjectGenerator& m_objectGenerator;
     AlgorithmType m_algorithm;
     std::string m_testType;
};
/// @}

