//////////////////////////////////////////////////////////////////////////////
//   Package:          CAPD
//   Subpackage:
/// @addtogroup intervals
/// @{
 
/////////////////////////////////////////////////////////////////////////////
/// @file doubleInterval.h
///
/// @author Tomasz Kapela   @date 11-01-2006
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) Tomasz Kapela 2006
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#ifndef _DOUBLE_INTERVAL_H_
#define _DOUBLE_INTERVAL_H_ 1

#include <cmath>

using std::log;

#include "capd/capd/doubleFun.h"

#include "capd/interval/intervalIntf.h"

#include "capd/rounding/doubleRounding.h"


typedef chomp::intervals::Interval<double, chomp::rounding::DoubleRounding> interval;

extern ::interval pi;

//using namespace chomp::intervals;

#ifdef __INTERVAL_DEPRECATED__
using chomp::intervals::Degenerate;
using chomp::intervals::Left;
using chomp::intervals::Right;
using chomp::intervals::in;
using chomp::intervals::intervalHull;
using chomp::intervals::iSplit;
using chomp::intervals::solve_affine_inclusion;

inline void round_nearest()
{
  chomp::rounding::DoubleRounding::roundNearest();
}
    
inline void round_up()
{
  chomp::rounding::DoubleRounding::roundUp();
}

    
inline void round_down()
{
  chomp::rounding::DoubleRounding::roundDown();
}

    
inline void round_cut()
{
  chomp::rounding::DoubleRounding::roundCut();
}

inline void init_fpunit()
{}

inline int rounding_test()
{
  return chomp::rounding::DoubleRounding::test();
}

#endif //__INTERVAL_DEPRECATED__

#endif //_DOUBLE_INTERVAL_H_

/// @}
