/// @addtogroup krak
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file hardware.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

/* look for defines also at the compiler options */
#ifndef _hardware_h_
#define _hardware_h_

#include "capd/krak/krakSetting.h"

#include <cstdlib>
#include <cstring>
#include <iostream>
#include <fstream>
#include <ctype.h>
#include <memory>
#include <sstream>

#if defined(WIN95) // mingw, visual and borland have this include header
#  include <conio.h>
#endif

#ifdef DOS
  #include "capd/krak/ms-dos.h"
#endif

#ifdef WIN95
  #include "capd/krak/ms-win95.h"
#endif

#ifdef SUN_OS
#  include "capd/krak/sun-os.h"
#endif

#ifdef MAC
  #include "capd/krak/appl-mac.h"
#endif





#ifdef SUN_V
#  define UNIX
#  define VIRT_MON
#  define SYSTEM "SUN_OS Solaris (VIRT)"
#endif

#ifdef UNIX_CH
#  include "capd/krak/unix-ch.h"
#endif

#ifdef LINUX
#  include "capd/krak/linux.h"
#endif

#ifdef DOS16
#  include "capd/krak/dos16.h"
#endif

#ifdef UNIX
#  include "capd/krak/unix.h"
#endif

#ifdef VIRT_MON
#  include "capd/krak/virt-mon.h"
#endif

#ifdef WIN31 // Is it only for WIN 3.1? What about Win95?
#  define PATTWORD int
#else
#  define PATTWORD BYTE
#endif

#ifdef WXWIN
#  include "capd/krak/wxWin.h"
#endif

#ifndef SYSTEM
#  define  SYSTEM unknown
#endif


#endif

/// @}
