/// @addtogroup vectalg
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file vectalglib.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.


#ifndef _VectAlgLib_H
#define _VectAlgLib_H

double power(int val,int ile);
// necessary for the Borland compiler
#include <math.h>
inline int sqrt(int x)
{
   return ::sqrt(x);
}

#include "capd/interval/doubleInterval.h"

#include "capd/vectalg/dimension.h"
#include "capd/vectalg/vectorintf.h"
#include "capd/vectalg/matrixintf.h"
#include "capd/vectalg/normintf.h"
#include "capd/matrixAlgorithms/floatMatrixAlgorithms.hpp"
#include "capd/matrixAlgorithms/intMatrixAlgorithms.hpp"

typedef Vector<int,DIM> integerVector;
typedef Vector<double,DIM> vector;
typedef Vector<interval,DIM> intervalVector;

typedef Matrix<double,DIM,DIM> matrix;
typedef Matrix<interval,DIM,DIM> intervalMatrix;

typedef Norm<intervalVector,intervalMatrix> norm;
typedef EuclNorm<intervalVector,intervalMatrix> euclNorm;
typedef MaxNorm<intervalVector,intervalMatrix> maxNorm;
typedef SumNorm<intervalVector,intervalMatrix> sumNorm;
typedef EuclLNorm<intervalVector,intervalMatrix> euclLNorm;
typedef MaxLNorm<intervalVector,intervalMatrix> maxLNorm;
typedef SumLNorm<intervalVector,intervalMatrix> sumLNorm;

#endif // #define _VectAlgLib_H

/// @}
