/// @addtogroup bitSet
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file EuclBitSet_UL_lowDim.cpp
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) Marian Mrozek 2005-2006
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.


#include "capd/bitSet/BitmapT.h"
#include "capd/bitSet/BitSetT.h"
#include "capd/bitSet/EuclBitSetT.hpp"
#include "capd/bitSet/selector.h"

typedef unsigned long int cluster;
typedef BitSetT<BitmapT<cluster> > BitSet;

#define SETUP(dim) \
typedef EuclBitSetT<BitSet,dim> EuclBitSetD##dim; \
template class EuclBitSetT<BitSet,dim>;   \
template std::istream& operator>> <BitSet,dim>(std::istream& in,EuclBitSetD##dim&);  \
template EuclBitSetT<BitSet,dim>& EuclBitSetT<BitSet,dim>::add<HiperSurfSelector>(const HiperSurfSelector&,bool);

SETUP(2)
SETUP(3)
SETUP(4)
SETUP(5)
SETUP(6)
SETUP(7)
SETUP(8)
SETUP(9)
SETUP(10)
SETUP(11)
SETUP(12)

#undef SETUP


/// @}
