/// @addtogroup homologicalAlgebra
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file ReducibleFreeChainComplexZ.cpp
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2006 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

/*
#include "capd/homologicalAlgebra/FreeModule.h"
#include "capd/homologicalAlgebra/ChainAux.h"
//#include "capd/homologicalAlgebra/SubModule.h"
//#include "capd/homologicalAlgebra/QuotientModule.h"
//#include "capd/homologicalAlgebra/FreeModuleHomomorphism.h"
#include "capd/homologicalAlgebra/FreeChainComplex.h"
*/
#include "capd/homologicalAlgebra/homologicalAlgebra.h"
#include "capd/repSet/elementaryCube.h"
#include "capd/repSet/elementaryCell.h"

#include "capd/homologicalAlgebra/ReducibleFreeChainComplex.hpp"

typedef int GeneratorCode;
typedef FreeModule<GeneratorCode,Matrix<int,0,0> > ZFreeModule;



template ReducibleFreeChainComplex<ZFreeModule>::ReducibleFreeChainComplex(const FreeChainComplex<ZFreeModule>&);
template ReducibleFreeChainComplex<ZFreeModule>::ReducibleFreeChainComplex(const std::vector<ElementaryCube>&);
template ReducibleFreeChainComplex<ZFreeModule>::ReducibleFreeChainComplex(const std::set<ElementaryCell>&);
template int ReducibleFreeChainComplex<ZFreeModule>::reduce();
template bool ReducibleFreeChainComplex<ZFreeModule>::removeSimpleHomologyGenerators(std::vector<std::vector<GeneratorCode> >& simpleHomologyGenerators);
template ReducibleFreeChainComplex<ZFreeModule>::operator FreeChainComplex<ZFreeModule>();
template int ReducibleFreeChainComplex<ZFreeModule>::reduceViaLocalSort();
template int ReducibleFreeChainComplex<ZFreeModule>::reduceViaSort();

template std::ostream& operator<< <ZFreeModule>(std::ostream& out,const ReducibleFreeChainComplex<ZFreeModule>&);

/// @}
