/// @addtogroup repSet
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file RepSet_ECube.cpp
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2006 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#include "capd/repSet/RepSet.hpp"
#include "capd/repSet/elementaryCube.h"

template RepSet<ElementaryCube>&  RepSet<ElementaryCube>::operator-=(const RepSet<ElementaryCube>&  s);
template RepSet<ElementaryCube>&  RepSet<ElementaryCube>::operator*=(const RepSet<ElementaryCube>&  s);

template bool RepSet<ElementaryCube>::operator<=(const RepSet<ElementaryCube>&  s) const;

template void RepSet<ElementaryCube>::enclosingBox(int minCoords[],int maxCoords[]) const;
template void RepSet<ElementaryCube>::lowerEnclosingBox(int minCoords[],int maxCoords[]) const;

template RepSet<ElementaryCube> operator+ <ElementaryCube>(const RepSet<ElementaryCube>&  s1,const RepSet<ElementaryCube>&  s2);
template RepSet<ElementaryCube> operator- <ElementaryCube>(const RepSet<ElementaryCube>&  s1,const RepSet<ElementaryCube>&  s2);
template RepSet<ElementaryCube> operator* <ElementaryCube>(const RepSet<ElementaryCube>&  s1,const RepSet<ElementaryCube>&  s2);

template std::istream& operator>> <ElementaryCube>(std::istream& inp, RepSet<ElementaryCube>&  A_RepSet);
template std::ostream& operator<< <ElementaryCube>(std::ostream& out, const RepSet<ElementaryCube>&  A_RepSet);

/// @}
